Bug 619312 - The upstart job format and mechanism is not guaranteed to exist
The upstart job format and mechanism is not guaranteed to exist
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Technical_Notes (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan Lerch
ecs-bugs
: Documentation, RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 05:20 EDT by Harald Hoyer
Modified: 2010-09-01 03:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Upstart Red Hat Enterprise Linux 6 features upstart as a replacement for the SysVinit initialization daemon. NOTE: upstart configuration files need to be created to start jobs similar to the SysVinit /etc/inittab file
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 23:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2010-07-29 05:20:10 EDT
Bug opened for tech notes.
Comment 1 Harald Hoyer 2010-07-29 05:26:08 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
In Red Hat Enterpise Linux 6, "upstart" replaces the old "SysVinit". Although, upstart configuration files have to be created to start jobs like in old SysVinit /etc/inittab, future major versions of Red Hat Enterprise Linux might not support these new configuration files.
Comment 2 RHEL Product and Program Management 2010-07-29 05:27:33 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Ryan Lerch 2010-08-31 23:39:18 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,4 @@
-In Red Hat Enterpise Linux 6, "upstart" replaces the old "SysVinit". Although, upstart configuration files have to be created to start jobs like in old SysVinit /etc/inittab, future major versions of Red Hat Enterprise Linux might not support these new configuration files.+Upstart
+Red Hat Enterprise Linux 6 features upstart as a replacement for the SysVinit initialization daemon.
+
+NOTE: upstart configuration files need to be created to start jobs similar to the SysVinit /etc/inittab file
Comment 5 Harald Hoyer 2010-09-01 03:17:25 EDT
(In reply to comment #4)
>     Technical note updated. If any revisions are required, please edit the
> "Technical Notes" field
>     accordingly. All revisions will be proofread by the Engineering Content
> Services team.
> 
>     Diffed Contents:
> @@ -1 +1,4 @@
> -In Red Hat Enterpise Linux 6, "upstart" replaces the old "SysVinit". Although,
> upstart configuration files have to be created to start jobs like in old
> SysVinit /etc/inittab, future major versions of Red Hat Enterprise Linux might
> not support these new configuration files.+Upstart
> +Red Hat Enterprise Linux 6 features upstart as a replacement for the SysVinit
> initialization daemon.
> +
> +NOTE: upstart configuration files need to be created to start jobs similar to
> the SysVinit /etc/inittab file

err... you removed the most important message: "future major versions of Red Hat Enterprise Linux might not support these new configuration files"

Note You need to log in before you can comment on or make changes to this bug.